import type { _VZAudioInputStreamSource } from "./VZAudioInputStreamSource.js";
import type { _VZVirtioSoundDeviceStreamConfiguration } from "./VZVirtioSoundDeviceStreamConfiguration.js";
export declare class _VZVirtioSoundDeviceInputStreamConfiguration extends _VZVirtioSoundDeviceStreamConfiguration {
    static alloc(): _VZVirtioSoundDeviceInputStreamConfiguration;
    static new(): _VZVirtioSoundDeviceInputStreamConfiguration;
    /** @abstract Initialize the input stream configuration. */
    init(): _VZVirtioSoundDeviceInputStreamConfiguration;
    /**
     * @abstract Audio Stream Source. Defines how the audio data is supplied on the host for the guest. The default is nil. @discussion Not specifying a Source will have a default handler that produces audio silence. @see VZAudioInputStreamSource
     */
    source(): _VZAudioInputStreamSource | null;
    setSource$(value: _VZAudioInputStreamSource | null): void;
}
